Token List
curl --request GET \
--url https://api.bebop.xyz/pmm/{chain}/v3/tokenlist{
"keywords": [
"<string>"
],
"name": "<string>",
"timestamp": "<string>",
"tokens": [
{
"chainId": 123,
"address": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>",
"tags": [
"<string>"
],
"extensions": {
"color": "<string>",
"color_light": "<string>",
"displayDecimals": 123,
"preview": true,
"added": "<string>",
"availability": {
"isAvailable": true,
"canBuy": true,
"canSell": true
}
}
}
],
"logoURI": "<string>",
"tags": {},
"version": {
"major": 123,
"minor": 123,
"patch": 123
}
}API Reference
Token List
This endpoint will return all tokens available for trading on Bebop PMM, in tokenlist format, with extra info.
GET
/
v3
/
tokenlist
Token List
curl --request GET \
--url https://api.bebop.xyz/pmm/{chain}/v3/tokenlist{
"keywords": [
"<string>"
],
"name": "<string>",
"timestamp": "<string>",
"tokens": [
{
"chainId": 123,
"address": "<string>",
"decimals": 123,
"name": "<string>",
"symbol": "<string>",
"logoURI": "<string>",
"tags": [
"<string>"
],
"extensions": {
"color": "<string>",
"color_light": "<string>",
"displayDecimals": 123,
"preview": true,
"added": "<string>",
"availability": {
"isAvailable": true,
"canBuy": true,
"canSell": true
}
}
}
],
"logoURI": "<string>",
"tags": {},
"version": {
"major": 123,
"minor": 123,
"patch": 123
}
}Query Parameters
Return only active tokens
Return gasless tokens
Return standard or short expiry tokens
Available options:
standard, short Was this page helpful?
⌘I